summaryrefslogtreecommitdiff
path: root/fftw/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@users.noreply.github.com>2018-01-05 15:01:53 -0500
committerMatt Rendina <rendinam@users.noreply.github.com>2018-01-05 15:01:53 -0500
commit286c9d0cd069759d090007da647e78afdb937596 (patch)
treed418f7d652cc5de4fe638143c30549a4fe9267b6 /fftw/build.sh
parent90e6679788b9b9f81ef2ec1bad0d7b255ab5300d (diff)
downloadastroconda-dev-286c9d0cd069759d090007da647e78afdb937596.tar.gz
[WIP] Next (#75)
* Purge x.x style selectors * Add python jinja2 selectors * Add numpy jinja2 selectors * Add basic build matrix configuration * Delete iraf package; see astroconda/astroconda-iraf * Bump all build revisions * Remove drizzlepac and nose dependencies * Fixup dependencies * Strip newlines in version declaration * Implements new package versioning scheme * Revert sandboxing * Purge old or unnecessary packages * Clean up meta-packages * Use fake version * Minor clean up * Add missing md5 hashes * Python is not a dependency of XPA * Remove GIT_ usage in non-git recipe * Initial commit of asteval * cubeviz: sed patching glue/numpy/pytest * Add missing curly braces * Remove references to pywcs * Add mosviz * Fix up specutils * Forcefully strip all "v" version prefixes. Please stop using them. * Fix ginga * Use PYTHON * Remove d2to1 dep * Remove d2to1 dep * Remove d2to1 dep * Remove d2to1 dep * Remove deprecated JWST pipeline packages * Simplify python builds * Simplify python builds (windows) * Remove d2to1 dep * Remove d2to1 dep * Stop using 2to3 * Remove ATLAS * Move sextractor to mainline * Sextractor Intel MKL integration patches (i.e NO ATLAS)
Diffstat (limited to 'fftw/build.sh')
-rw-r--r--fftw/build.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/fftw/build.sh b/fftw/build.sh
index 3cad563..b89c0c2 100644
--- a/fftw/build.sh
+++ b/fftw/build.sh
@@ -1,14 +1,14 @@
-
+set -e
export modes="--enable-single --enable-long-double"
export FFTW_CONFIGURE="./configure --prefix=$PREFIX --disable-static --enable-shared --enable-threads "
function fftw_build
{
-$FFTW_CONFIGURE "$@" || exit 1
-make -j$CPU_COUNT || exit 1
-make install || exit 1
+ $FFTW_CONFIGURE "$@"
+ make -j$CPU_COUNT
+ make install
}
fftw_build
-for mode in $modes; do fftw_build $mode; done \ No newline at end of file
+for mode in $modes; do fftw_build $mode; done